var connect = require('connect'),
    sessionvoc = require('../lib/sessionvoc');

connect(connect.cookieParser(),
        sessionvoc(),
        function(req, res, next) {
          var sess = req.session;

          if (sess.superAttribute) {
            sess.superAttribute.counter++;

            res.setHeader('Content-Type', 'text/html');
            res.write('<p>IP: ' + sess.ipAddress + '</p>');
            res.write('<p>Counter: ' + sess.superAttribute.counter + '</p>');
            sess.ipAddress = null;
            res.end();
          }
          else {
            sess.superAttribute = { 'counter': 1 };
            res.end('welcome to the session demo. refresh!');
          }
        }).listen(3000);

